Ingest Status
curl --request GET \
--url https://api.tracelm.ai/api/v2/observability/ingest/{ingest_request_id}import requests
url = "https://api.tracelm.ai/api/v2/observability/ingest/{ingest_request_id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.tracelm.ai/api/v2/observability/ingest/{ingest_request_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Observability v2
Ingest Status
Read status and replay metadata for an observability ingest request
GET
/
api
/
v2
/
observability
/
ingest
/
{ingest_request_id}
Ingest Status
Fetches ingest status for a previously submitted request.
Auth
Authorization: Bearer <jwt>or project-scopedX-API-Key.
Path Parameters
ingest_request_id(UUID): Request identifier returned byPOST /api/v2/observability/ingest.
Response
{
"ingest_request_id": "33333333-3333-3333-3333-333333333333",
"idempotency_key": "trace:11111111-1111-1111-1111-111111111111",
"schema_version": "2026-02-23",
"status": "succeeded",
"attempts": 2,
"first_seen_at": "2026-02-23T10:00:00Z",
"last_seen_at": "2026-02-23T10:00:02Z",
"replayed_hits": 1,
"error_reason": null,
"result_payload": {
"traces": 1,
"observations": 1,
"events": 1,
"links": 0
}
}
⌘I

